Bug 810587 - UPower provides incorrect battery power information
UPower provides incorrect battery power information
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: upower (Show other bugs)
16
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-06 17:56 EDT by Saurav Sengupta
Modified: 2013-02-13 09:42 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 09:42:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Power Statistics window showing large deviations in discharge accuracy (41.52 KB, image/png)
2012-04-06 17:56 EDT, Saurav Sengupta
no flags Details

  None (edit)
Description Saurav Sengupta 2012-04-06 17:56:44 EDT
Created attachment 575830 [details]
Power Statistics window showing large deviations in discharge accuracy

Description of problem:
The UPower component in the latest releases, including Fedora 15 and Fedora 16, provides incorrect and fluctuating information on the amount of remaining battery back-up time when the laptop is running on battery. My laptop is a Dell Inspiron 1545 with an original Dell 9-cell battery pack. The amount of available battery time shown keeps varying from around 7 hours (not possible on my system) to around 2 hours, at almost all times, no matter what the battery level. However, it tends to get more accurate as the battery drains. Correct information is almost never shown when the battery charge is more than 50%.

Version-Release number of selected component (if applicable):
0.9.15-1.fc16 (x86_64)

How reproducible:
Always

Steps to Reproduce:
1. Log in to a Fedora 16 installation on a Dell Inspiron 1545 on battery power.
2. Check the amount of remaining battery back-up time shown.

Actual results:
Amount of time shown is incorrect.

Expected results:
Amount of time shown is correct.

Additional info:
I know that this is a bug in UPower or some such upstream component because the problem occurs consistently on all the latest Linux distributions irrespective of other components such as the kernel, and it did not occur in earlier distributions (more than approximately 18 months old) which either used older versions of UPower or used HAL instead of UPower.
Comment 1 Fedora End Of Life 2013-01-16 08:48:51 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 09:42:57 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.